// Constants don't change when the program is run
const int buttonPin =  2;
const int buzzerPin = 11;
const int    ledPin = 12;

// variables will change:
int     buttonState = LOW;
int lastButtonState = LOW; 
int            freq = 220;

void setup() {
  pinMode(   ledPin, OUTPUT);
  pinMode(buzzerPin, OUTPUT);
  pinMode(buttonPin,  INPUT);
  // Serial.begin(9600);
}

void loop() {  
  // Read the state of the pushbutton value:
  buttonState = digitalRead(buttonPin);
  // Check if the pushbutton is pressed.
  if (buttonState == HIGH) {
    if (lastButtonState==LOW) {
      lastButtonState = HIGH;
      freq = (int)(freq * 1.0594630943592953);
      if (freq>7040) { freq = 110; }
      // Serial.println(freq);
    }
    digitalWrite(ledPin, HIGH);
    tone(buzzerPin, freq);
  } else {
    lastButtonState = LOW;
    digitalWrite(ledPin, LOW);
    noTone(buzzerPin);
  }
}

